Subject: Offline Message from Mashael: Hi, I placed the order more than a week Ago i
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sat, 13 Jun 2020 17:11:53 -0000

From: Mashael <[email-masked]>
Phone: 
Location: Riyadh, Saudi Arabia
URL:  
Department: 

Hi, 

I placed the order more than a week Ago i paid 100 SR only for shipping which is extremely high but I thought it will be here faster. The order has not been processed or shipped yet. There is no update whatsoever on the order. You are the worst company in the middle east I have never seen something whose worse than you. Bad management bad customer service all you care about is money all the promotions are misleading and fake. You took 50 SR for shipping on my previous order promising that it will be here in couple of days and took three weeks with no compensation whatsoever.  Definitely gonna file a complaint to the ministry of commerce. 

----
Zopim
https://www.zopim.com